---
title: "SQL Server Shared Management Objects (SMO) - License Terms | Microsoft Docs"
ms.custom: ""
ms.date: "06/25/2019"
ms.prod: sql
ms.reviewer: ""
ms.technology: ssms
ms.topic: conceptual
ms.assetid: 8f3d273c-c663-4341-aa2f-5ed8ebcba5b0
author: stevestein
ms.author: sstein
manager: craigg
monikerRange: "=azuresqldb-current||=azure-sqldw-latest||>=sql-server-2016||=sqlallproducts-allversions||>=sql-server-linux-2017||=azuresqldb-mi-current"
---
# SQL Server Shared Management Objects (SMO) License Terms

## MICROSOFT SOFTWARE LICENSE TERMS
**MICROSOFT SQL SERVER SHARED MANAGEMENT OBJECTS**

---
For the latest version of this license, including translations, visit https://docs.microsoft.com/sql/relational-databases/server-management-objects-smo/smo-license-terms 

These license terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you. Please read them. They apply to the software named above, which includes the media on which you received it, if any. The terms also apply to any Microsoft
* updates,
* supplements,
* Internet-based services, and
* support services

for this software, unless other terms accompany those items. If so, those terms apply.

**BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS. IF YOU DO NOT ACCEPT THEM, DO NOT USE THE SOFTWARE.**

---
**If you comply with these license terms, you have the rights below.**

**1. INSTALLATION AND USE RIGHTS.**

&nbsp;&nbsp;You may install and use any number of copies of the software on your devices to design, develop and test your programs.

**2.	ADDITIONAL LICENSING REQUIREMENTS AND/OR USE RIGHTS.**

&nbsp;&nbsp;**a.	Distributable Code.**

&nbsp;&nbsp;&nbsp;&nbsp;**i.	Right to Use and Distribute. If you comply with the terms below:**
*	You may copy and distribute the object code form of the software ("Distributable Code") in programs you develop; and
*	You may permit distributors of your programs to copy and distribute the Distributable Code as part of those programs.

&nbsp;&nbsp;&nbsp;&nbsp;**ii.	Distribution Requirements. For any Distributable Code you distribute, you must**
* add significant primary functionality to it in your programs;
* for any Distributable Code having a filename extension of .dll, distribute only the results of running such Distributable Code through a linker with your program;
* require distributors and external end users to agree to terms that protect it at least as much as this agreement; 
* display your valid copyright notice on your programs; and
* indemnify, defend, and hold harmless Microsoft from any claims, including attorneys' fees, related to the distribution or use of your programs.

&nbsp;&nbsp;&nbsp;&nbsp;**iii.	Distribution Restrictions. You may not**
* alter any copyright, trademark or patent notice in the Distributable Code;
* use Microsoft's trademarks in your programs' names or in a way that suggests your programs come from or are endorsed by Microsoft;
* include Distributable Code in malicious, deceptive or unlawful programs; or
* modify or distribute the source code of any Distributable Code so that any part of it becomes subject to an Excluded License. An Excluded License is one that requires, as a condition of use, modification or distribution, that
  * the code be disclosed or distributed in source code form; or
  * others have the right to modify it.


**3. SCOPE OF LICENSE.** The software is licensed, not sold. Unless applicable law gives you more rights, Microsoft reserves all other rights not expressly granted under this agreement, whether by implication, estoppel or otherwise. You may use the software only as expressly permitted in this agreement. In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. You may not do any of the following:

- Work around any technical limitations in the software.
- Reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits despite this limitation.
- Make more copies of the software than are specified in this agreement, or allowed by applicable law despite this limitation.
- Share, publish, rent or lease the software, or provide the software as a stand-alone hosted solution for others to use.

**4.	THIRD PARTY NOTICES.** The software may include third party components with separate legal notices or governed by other agreements, as may be described in the ThirdPartyNotices file accompanying the software.  Even if such components are governed by other agreements, the disclaimers and the limitations on and exclusions of damages below also apply.

**5.	BACKUP COPY.** You may make one backup copy of the software. You may use it only to reinstall the software.

**6.	DOCUMENTATION.** Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference purposes.

**7.	EXPORT RESTRICTIONS.** The software is subject to United States export laws and regulations. You must comply with all domestic and international export laws and regulations that apply to the software. These laws include restrictions on destinations, end users and end use. For additional information, see www.microsoft.com/exporting.

**8.	SUPPORT SERVICES.** Because this software is "as is," we may not provide support services for it.

**9.	ENTIRE AGREEMENT**. This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.

**10.	APPLICABLE LAW.**

&nbsp;&nbsp;**a.	United States.** If you acquired the software in the United States, Washington state law governs the interpretation of this agreement and applies to claims for breach of it, regardless of conflict of laws principles. The laws of the state where you live govern all other claims, including claims under state consumer protection laws, unfair competition laws, and in tort.

&nbsp;&nbsp;**b.	Outside the United States.** If you acquired the software in any other country, the laws of that country apply.

**11.	LEGAL EFFECT.** This agreement describes certain legal rights. You may have other rights under the laws of your country. You may also have rights with respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your country if the laws of your country do not permit it to do so.

**12.	DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED "AS-IS." YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES OR CONDITIONS. YOU MAY HAVE ADDITIONAL CONSUMER RIGHTS OR STATUTORY GUARANTEES UNDER YOUR LOCAL LAWS WHICH THIS AGREEMENT CANNOT CHANGE. TO THE EXTENT PERMITTED UNDER YOUR LOCAL LAWS, MICROSOFT EXCLUDES THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.**

**FOR AUSTRALIA - You have statutory guarantees under the Australian Consumer Law and nothing in these terms is intended to affect those rights.**

**13.	LIMITATION ON AND EXCLUSION OF REMEDIES AND DAMAGES. YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.**
This limitation applies to
* anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and
* claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.

It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.

> [!NOTE]
> Section 3 was updated on August 8, 2018.

